itamae 1.11.0 → 1.11.1

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: 60e0d5a72bca0a9bd055076d31e684d5b48ab4501e4db982c83e345136c11ea3
4
- data.tar.gz: fdd2265af59a12b74634623315b38977344c91ae3c995e76ee4e881743d5d8d4
3
+ metadata.gz: 2213250f28fa9b34d4c8d149add25c33f9955b6dd30dfab4fc7ddd9f4e438e61
4
+ data.tar.gz: 12b67ddfa15210dfb1ea8d35b5aa02db9e4985f4e141c66d7102628b09b5f914
5
5
  SHA512:
6
- metadata.gz: 7c2bf49d1ffb3af4b9a83a227c0f1e33565d7b607925f5dcc3513aeff573ae4ee44b91bbe140392d7c5b866f1a05d49926db8656fe5f36e988cab4872f1495f2
7
- data.tar.gz: 4ad43aee6fe41d79bf872b42a04d150042163b81e231644c69a73c33de71780d51a26335c98e6d4060e97c798c0259fd839dddf4033a5ad5f88bee2f708fe57d
6
+ metadata.gz: 4a83817032655a372418a0c2aeef5561e2b669c075b16a0b56f3522d94883396cc535b44cad5d3e2b7c2b8c8c4fdbf400eb95a9efe986b97effaa587cf8d5564
7
+ data.tar.gz: 96380efa8166f7629035be66884c3526c4c521eaababb5303bf0c520bbb914ebcb8de2e2492bd0ffbc1681d8285d62e011853476565b409486f040422101007a
@@ -9,6 +9,7 @@ rvm:
9
9
  - 2.5
10
10
  - 2.6
11
11
  - 2.7
12
+ - 3.0
12
13
  - ruby-head
13
14
  bundler_args: "--jobs=4 --retry=3"
14
15
  cache:
@@ -31,6 +32,8 @@ matrix:
31
32
  env: SPEC_RUBYOPT="--jit"
32
33
  - rvm: 2.7
33
34
  env: SPEC_RUBYOPT="--jit"
35
+ - rvm: 3.0
36
+ env: SPEC_RUBYOPT="--jit"
34
37
  - rvm: ruby-head
35
38
  env: SPEC_RUBYOPT="--jit"
36
39
  branches:
@@ -1,8 +1,16 @@
1
1
  ## Unreleased
2
- [full changelog](https://github.com/itamae-kitchen/itamae/compare/v1.11.0...master)
2
+ [full changelog](https://github.com/itamae-kitchen/itamae/compare/v1.11.1...master)
3
+
4
+ ## v1.11.1
5
+ [full changelog](https://github.com/itamae-kitchen/itamae/compare/v1.11.0...v1.11.1)
6
+
7
+ Improvements
8
+
9
+ - [Support Ruby 3.0.0](https://github.com/itamae-kitchen/itamae/pull/326)
10
+ - [file: improve diff output (by @terceiro)](https://github.com/itamae-kitchen/itamae/pull/327)
3
11
 
4
12
  ## v1.11.0
5
- [full changelog](https://github.com/itamae-kitchen/itamae/compare/v1.11.0...master)
13
+ [full changelog](https://github.com/itamae-kitchen/itamae/compare/v1.10.10...v1.11.0)
6
14
 
7
15
  Improvements
8
16
 
@@ -37,7 +37,7 @@ Gem::Specification.new do |spec|
37
37
  spec.add_development_dependency "rspec", "~> 3.0"
38
38
  spec.add_development_dependency "serverspec", "~> 2.1"
39
39
  spec.add_development_dependency "pry-byebug"
40
- spec.add_development_dependency "docker-api", "~> 1.20"
40
+ spec.add_development_dependency "docker-api", "~> 2"
41
41
  spec.add_development_dependency "fakefs"
42
42
  spec.add_development_dependency "fluent-logger"
43
43
  end
@@ -164,7 +164,7 @@ module Itamae
164
164
 
165
165
  if attributes.modified
166
166
  Itamae.logger.info "diff:"
167
- diff = run_command(["diff", "-u", compare_to, @temppath], error: false)
167
+ diff = run_command(["diff", "-u", "--label=#{attributes.path} (BEFORE)", compare_to, "--label=#{attributes.path} (AFTER)", @temppath], error: false)
168
168
  diff.stdout.each_line do |line|
169
169
  color = if line.start_with?('+')
170
170
  :green
@@ -1,3 +1,3 @@
1
1
  module Itamae
2
- VERSION = "1.11.0"
2
+ VERSION = "1.11.1"
3
3
  end
metadata CHANGED
@@ -1,7 +1,7 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: itamae
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.11.0
4
+ version: 1.11.1
5
5
  platform: ruby
6
6
  authors:
7
7
  - Ryota Arai
@@ -10,7 +10,7 @@ authors:
10
10
  autorequire:
11
11
  bindir: bin
12
12
  cert_chain: []
13
- date: 2020-12-27 00:00:00.000000000 Z
13
+ date: 2020-12-29 00:00:00.000000000 Z
14
14
  dependencies:
15
15
  - !ruby/object:Gem::Dependency
16
16
  name: thor
@@ -164,14 +164,14 @@ dependencies:
164
164
  requirements:
165
165
  - - "~>"
166
166
  - !ruby/object:Gem::Version
167
- version: '1.20'
167
+ version: '2'
168
168
  type: :development
169
169
  prerelease: false
170
170
  version_requirements: !ruby/object:Gem::Requirement
171
171
  requirements:
172
172
  - - "~>"
173
173
  - !ruby/object:Gem::Version
174
- version: '1.20'
174
+ version: '2'
175
175
  - !ruby/object:Gem::Dependency
176
176
  name: fakefs
177
177
  requirement: !ruby/object:Gem::Requirement
@@ -329,7 +329,7 @@ required_rubygems_version: !ruby/object:Gem::Requirement
329
329
  - !ruby/object:Gem::Version
330
330
  version: '0'
331
331
  requirements: []
332
- rubygems_version: 3.1.2
332
+ rubygems_version: 3.1.4
333
333
  signing_key:
334
334
  specification_version: 4
335
335
  summary: Simple Configuration Management Tool